LOGGER(1)()

NAME
logger - a shell command interface to the syslog(3) system log module

SYNOPSIS
logger [-dhisV] [-f file] [-n server] [-P port] [-p pri] [-t tag] [-u socket] [message]

DESCRIPTION
logger makes entries in the system log. It provides a shell command interface to the syslog(3) system log module.

Options:

-d, - -udp
    Use datagram (UDP) instead of the default stream connection (TCP).

-i, - -id
    Log the process ID of the logger process with each line.

-f, - -file file
    Log the contents of the specified file. This option cannot be combined with a command-line message.

-h, - -help
    Display a help text and exit.

-n, - -server server
    Write to the specified remote syslog server using UDP instead of to the builtin syslog routines.

-P, - -port port
    Use the specified UDP port. The default port number is 514.

-p, - -priority priority
    Enter the message into the log with the specified priority. The priority may be specified numerically or as a facility.level pair. For example, -p local3.info logs the message as informational in the local3 facility. The default is user.notice.

-s, - -stderr
    Output the message to standard error as well as to the system log.

-t, - -tag tag
    Mark every line to be logged with the specified tag.

-u, - -socket socket
    Write to the specified socket instead of to the builtin syslog routines.

-V, - -version
    Display version information and exit.

--  End the argument list. This is to allow the message to start with a hyphen (-).

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

The logger utility exits 0 on success, and >0 if an error occurs.

Valid facility names are: auth, authpriv (for security information of a sensitive nature), cron, daemon, ftp, kern (can't be generated from user process), lpr, mail, news, security (deprecated synonym for auth), syslog, user, uucp, and local0 to local7, inclusive.

Valid level names are: alert, crit, debug, emerg, err, error (deprecated synonym for err), info, notice, panic (deprecated synonym for emerg), warning, warn (deprecated synonym for warning). For the priority order and intended purposes of these levels, see syslog(3).

EXAMPLES
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc
    logger -n loghost.example.com System rebooted

SEE ALSO
syslog(3), syslogd(8)

STANDARDS
The logger command is expected to be p1003.2 compatible.

AVAILABILITY
The logger command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.